UMAD_SET_ADDR_NET(3)

NAME
umad_set_addr_net - set MAD address fields within umad buffer using network ordering

SYNOPSIS
#include <infiniband/umad.h>

int umad_set_addr_net(void *umad, __be16 dlid, __be32 dqp, int sl, __be32 qkey);

DESCRIPTION
umad_set_addr_net() sets the MAD address fields within the specified umad buffer using the provided network ordered fields. dlid is the destination LID. dqp is the destination QP (queue pair). sl is the SL (service level). qkey is the Q_Key (queue key).

RETURN VALUE
umad_set_addr_net() returns 0 on success, and a negative value on errors. Currently, there are no errors indicated.

SEE ALSO
umad_set_addr(3)

AUTHOR

Hal Rosenstock <halr@voltaire.com>